<?php
function mytheme_header_options($wp_customize){
		$wp_customize->add_section('mytheme_header_options', array(
        'title'    => __('网站顶部设置', 'mytheme'),
        'description' => '通过这个选项设置顶部的样式和内容</br>  <a href="http://www.themepark.com.cn" target="_blank">WEB主题公园开发提供</a>',
        'priority' => 60,
    ));

	class Ari_Customize_Textarea_Control extends WP_Customize_Control {
  public $type = 'textarea';
  public function render_content() {

 ?>
  <label>
    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
    <textarea rows="5" style="width:100%;" <?php $this->link(); ?>><?php echo esc_textarea( $this->value()); ?></textarea>
  </label>
  <p><?php echo esc_html( $this->description); ?></p>
<?php 
  }
}


	class Ari_Customize_fengexian_Control extends WP_Customize_Control {
  public $type = 'fengexian';
  public function render_content() {

 ?>
 <div style="width:100%; background:#333; margin:15px 0; height:1px;"></div>
  
<?php 
  }
}


  $wp_customize->add_setting('mytheme_logo', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_logo', array(
        'label'    => __('logo上传[尺寸高度：73px，宽度不要超过200px]', 'mytheme_logo'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_logo',
     )
    )); 


$wp_customize->add_setting('mytheme_tell', array(
        'default'        => ' ',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control('mytheme_tell', array(
        'label'      => __('电话号码', 'mytheme_tell'),
        'section'    => 'mytheme_header_options',
        'settings'   => 'mytheme_tell',
    ));
	
	  // mail
    $wp_customize->add_setting('mytheme_mail', array(
        'default'        => ' ',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control('mytheme_mail', array(
        'label'      => __('电子邮箱', 'mytheme_mail'),
        'section'    => 'mytheme_header_options',
        'settings'   => 'mytheme_mail',
    ));
  

	
	 $wp_customize->add_setting('mytheme_online_kf', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control('mytheme_online_kf', array(
        'label'      => __('在线客服', 'mytheme_online_kf'),
             'section'  => 'mytheme_header_options',
        'settings'   => 'mytheme_online_kf',
	
    ));
	
	 $wp_customize->add_setting('mytheme_online', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control(new Ari_Customize_Textarea_Control($wp_customize, 'mytheme_online', array(
         'label'      => __('在线客服代码', 'mytheme_online'),
         'section'    => 'mytheme_header_options',
         'settings'   => 'mytheme_online',
  	    'description' => '代码获取请进入qq互联：http://connect.qq.com/intro/wpa，登录你想要作为客服的qq，并在获取代码处复制href="..."  ...中即是qq弹出代码，新版客服代码可以在手机上切换,<strong>语言设置请进入外观--主题选项--多语言进行设置</strong>',
      )));
	
	
	
	
	 $wp_customize->add_setting('mytheme_form_title', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control('mytheme_form_title', array(
        'label'      => __('焦点图下方标题', 'mytheme_form_title'),
             'section'  => 'mytheme_header_options',
        'settings'   => 'mytheme_form_title',
	
    ));
	
	
	
	 $wp_customize->add_setting('mytheme_form_title2', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control('mytheme_form_title2', array(
        'label'      => __('焦点图下方副标题', 'mytheme_form_title2'),
             'section'  => 'mytheme_header_options',
        'settings'   => 'mytheme_form_title2',
	
    ));
	
	
	 $wp_customize->add_setting('mytheme_form_1', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control('mytheme_form_1', array(
        'label'      => __('表单第一个选项(如:姓名)', 'mytheme_form_1'),
             'section'  => 'mytheme_header_options',
        'settings'   => 'mytheme_form_1',
	
    ));
	
	 $wp_customize->add_setting('mytheme_form_2', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control('mytheme_form_2', array(
        'label'      => __('表单第2个选项（如:邮箱）', 'mytheme_form_2'),
             'section'  => 'mytheme_header_options',
        'settings'   => 'mytheme_form_2',
	
    ));
	
	
	 $wp_customize->add_setting('mytheme_form_3', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control('mytheme_form_3', array(
        'label'      => __('表单第3个选项（如：需求）', 'mytheme_form_3'),
             'section'  => 'mytheme_header_options',
        'settings'   => 'mytheme_form_3',
	
    ));
	
	
		 $wp_customize->add_setting('mytheme_form_4', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control('mytheme_form_4', array(
        'label'      => __('提交按钮文字', 'mytheme_form_4'),
             'section'  => 'mytheme_header_options',
        'settings'   => 'mytheme_form_4',
	
    ));
	
	
		
   
};
add_action('customize_register', 'mytheme_header_options');
?>